<template>
  <el-dialog :title="title" :visible.sync="dialogFormVisible" width="800px" @close="close">
    <el-form ref="form" :model="form" :rules="rules">
      <el-form-item label="id" prop="id">
        <el-input class="inputs" v-model.trim="form.id" autocomplete="off" :disabled="!idAdd?true:false"></el-input>
      </el-form-item>
      <el-form-item label="公司编号" prop="companyid">
        <el-input class="inputs" v-model.trim="form.companyid" autocomplete="off"></el-input>
      </el-form-item>
      <el-form-item label="名称" prop="name">
        <el-input class="inputs" v-model.trim="form.name" autocomplete="off"></el-input>
      </el-form-item>
      <el-form-item label="别名" prop="aname">
        <el-input class="inputs" v-model.trim="form.aname" autocomplete="off"></el-input>
      </el-form-item>
    </el-form>
    <div slot="footer" class="dialog-footer">
      <el-button @click="close">取 消</el-button>
      <el-button type="primary" @click="save">确 定</el-button>
    </div>
  </el-dialog>
</template>

<script>
import api from '@/api/station'
export default {
  name: 'TableEdit',
  props: {
    options: {
      type: Array,
      default: []
    },
  },
  data() {
    return {
      form: {
        id: '',
        companyid: '',
        name: '',
        aname: '',
      },
      rules: {
        id: [{ required: true, trigger: 'blur', message: '请输入' }],
        companyid: [{ required: true, trigger: 'blur', message: '请输入' }],
        name: [{ required: true, trigger: 'blur', message: '请输入' }],
        aname: [{ required: true, trigger: 'blur', message: '请输入' }],
      },
      title: '',
      dialogFormVisible: false,
      idAdd: true,
    }
  },
  created() { },
  methods: {
    showEdit(row) {
      if (!row) {
        this.title = '添加'
        this.idAdd = true
      } else {
        this.title = '编辑'
        this.idAdd = false
        this.form = Object.assign({}, row)
      }
      this.dialogFormVisible = true
    },
    close() {
      this.$refs['form'].resetFields()
      this.form = this.$options.data().form
      this.dialogFormVisible = false
      this.$emit('fetch-data')
    },
    save() {
      this.$refs['form'].validate(async (valid) => {
        if (valid) {
          api.addRegion(this.form).then(res => {
            if (res.data) {
              this.$message({
                type: 'success',
                message: '添加成功!'
              });
              this.$emit('save-success');
              this.dialogFormVisible = false
            }
          })
        } else {
          return false
        }
      })
    },
    handleChange() {
    },
  },
}
</script>
<style lang="less" scoped>
.inputs {
  width: 200px;
}
</style>
